﻿package {
	import flash.display.*;
	import flash.events.*;
	import Content_Manager3;
	
	public class Gallery extends MovieClip {
		private var my_cm:Content_Manager3;
		
		public function Gallery() {
			// The three lines below create a transition that moves boxes on from the top and off the bottom
			var close_tween:Object	= { y:500, time:1, transition:"easeoutback" };			// Move the object to y 500 to get it off the stage
			var open_tween:Object	= { y:125, time:1, transition:"easeoutback", delay:1 };	// Move the object on to the stage to y 124
			var start_values:Object	= { x:140, y:-400 };	
			
			my_cm = new Content_Manager3( gallery_mc, open_tween, close_tween, start_values );
			
			b_0.addEventListener( MouseEvent.CLICK, b_0_click );
			b_1.addEventListener( MouseEvent.CLICK, b_1_click );
			b_2.addEventListener( MouseEvent.CLICK, b_2_click );
		}
		
		
		private function b_0_click( evt:Event ):void {
			my_cm.add_content( OrangeBox );
		}
		
		private function b_1_click( evt:Event ):void {
			my_cm.add_content( RedBox );
		}
		
		private function b_2_click( evt:Event ):void {
			my_cm.add_content( GreenBox );
		}
		
	}
}



