﻿package {
	import flash.display.*;
	import flash.events.*;
	import Content_Manager3;
	
	public class Add_Page3 extends MovieClip {
		private var my_cm:Content_Manager3;
		
		public function Add_Page3() {
			// The examples below all consist of three objects. 
			// The first sets the transition used to remove an object from the stage
			// The second sets the transition used to move the new object onto the stage
			// The last sets the starting position and properties of an object before it moves onto the stage
			
			// The lines below scale the content from 0 to 1. 
			/*var close_tween:Object	= { scaleX:0, scaleY:0, time:1, transition:"easeInCubic" };		// CLose an object scaling it down to 0
			var open_tween:Object	= { scaleX:1, scaleY:1, time:1, transition:"easeoutelastic", delay:1 };	// Open and object by scaling up to 1
			var start_values:Object	= { x:124, y:124, scaleX:0, scaleY:0 };		*/						// Set the stating scale to 0
			
			// The three lines below create a transition that moves boxes on from the top and off the bottom
			/*var close_tween:Object	= { y:500, time:1, transition:"easeoutback" };		// Move the object to y 500 to get it off the stage
			var open_tween:Object	= { y:124, time:1, transition:"easeoutback", delay:1 };	// Move the object on to the stage to y 124
			var start_values:Object	= { x:124, y:-400 };*/									// Set the intial starting x and y.
			
			// These objects perform a simple alpha tween. 
			/*var close_tween:Object	= { alpha:0, time:1, transition:"linear" };					// Move the object to y 500 to get it off the stage
			var open_tween:Object	= { alpha:1, time:1, transition:"easeoutback", delay:1.25 };	// Move the object on to the stage to y 124
			var start_values:Object	= { alpha:0, x:124, y:124	};*/								// Set the initial alpha to 0 and position the object on the stage
			
			// Here the object moves on from the left and then falls off the bottom
			var close_tween:Object	= { y:500, time:1, transition:"easeInCubic" };					// Move the object to y 500 to get it off the stage
			var open_tween:Object	= { x:124, time:1, transition:"easeInCubic", delay:1 };	// Move the object on to the stage to y 124
			var start_values:Object	= { x:-200, y:124	};
			
			
			my_cm = new Content_Manager3( this, open_tween, close_tween, start_values );
			
			b_0.addEventListener( MouseEvent.CLICK, b_0_click );
			b_1.addEventListener( MouseEvent.CLICK, b_1_click );
			b_2.addEventListener( MouseEvent.CLICK, b_2_click );
		}
		
		
		private function b_0_click( evt:Event ):void {
			my_cm.add_content( OrangeBox );
		}
		
		private function b_1_click( evt:Event ):void {
			my_cm.add_content( RedBox );
		}
		
		private function b_2_click( evt:Event ):void {
			my_cm.add_content( GreenBox );
		}
		
	}
}



